"use strict"

// Standard attributes 
this.name           = "smivs_thargoid_warship_script.js"; 
this.author         = "Smivs"; 
this.licence        = "Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License";
this.copyright	    = "© 2008-2013 the Oolite team."; 
this.version        = "4.1.4";  
this.description    = "Script to control color change of Thargoid warships and generate curses upon death." 

this.shipSpawned = function()
{
 this.$smivsThargoidWarshipColorChange ()
}
// first phase
this.$smivsThargoidWarshipColorChange = function()
// timer to switch diffuse and emission maps after 1 second
{
  this.$thargoidColorTimer1 = new Timer(this, this.thargoidColorTimer1,0.25); 
}
this.thargoidColorTimer1 = function()
// Set materials to first phase
{
   this.ship.setMaterials({"smivs'-thargoid.png": { diffuse_map: "smivs'-thargoid-1.png", emission_map: "smivs'-thargoid-1_em-map.png" }});
// Switch to second phase
   this.$smivsThargoidWarshipColorChange2 ();
}
// second phase
this.$smivsThargoidWarshipColorChange2 = function()
{
// timer to switch diffuse and emission maps back after 1 second
  this.$thargoidColorTimer2 = new Timer(this, this.thargoidColorTimer2,0.25); 
}
this.thargoidColorTimer2 = function()
// Set materials to second phase
{
   this.ship.setMaterials({"smivs'-thargoid.png": { diffuse_map: "smivs'-thargoid.png",  emission_map: "smivs'-thargoid_em-map.png" }});
// Switch to first phase
   this.$smivsThargoidWarshipColorChange ();
}
// core oolite warship script
this.shipDied = function ()
{
	this.ship.commsMessage(expandDescription("[thargoid_curses]"));
};




